diff --git a/build.sh b/build.sh
index 7e59195..695b20d 100644
--- a/build.sh
+++ b/build.sh
@@ -1,5 +1,15 @@
 #!/bin/bash
+if [[ -z "${!1+x}" ]]; then
+  echo "Error: Variable '$1' is not set"
+  exit 1
+fi
+
 hugo --cleanDestinationDir
 
 sudo rsync -av --delete ./public/ /var/www/pol/public/
 
+git add .
+
+git commit -S -m "$1"
+
+git push